<div class="d-flex justify-content-center align-items-center" style="height: 100%;">
    <div class="bg-light auth-box">
        <h3 class="text-center">Add New Product</h3>
        <p style="margin-bottom: 0;">
            <mat-form-field class="add-product" appearance="outline">
                <mat-label>Product Name</mat-label>
                <input [(ngModel)]="products.name" name="product" type="text" matInput placeholder="Enter Product Name">
            </mat-form-field>
            <mat-form-field class="add-product" appearance="outline">
                <mat-label>Product Cost</mat-label>
                <input [(ngModel)]="products.price" name="product" type="text" matInput placeholder="Enter Product price">
            </mat-form-field>
        </p>
        <p style="margin-bottom: 0;">
            <mat-form-field class="add-product" appearance="outline">
                <mat-label>Product Quantity</mat-label>
                <input [(ngModel)]="products.quantity" name="quantity" type="text" matInput placeholder="Enter Product Quantity">
            </mat-form-field>
            <mat-form-field class="add-product" appearance="outline">
                <mat-label>Product Discount</mat-label>
                <input [(ngModel)]="products.discount" name="discount" type="text" matInput placeholder="Enter Discount">
            </mat-form-field>
        </p>
        <p class="text-center">
            <button type="button" class="btn btn-primary" (click)="onProductAdd(products)">
                Add Product</button>
        </p>
    </div>
</div>